usb.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "hddb.h"`
`#include "usb.h"`

## Macros

#define | IOCNR_GET_DEVICE_ID 1
#define | IOCNR_GET_BUS_ADDRESS 5
#define | IOCNR_GET_VID_PID 6
#define | LPIOC_GET_DEVICE_ID(len)
#define | LPIOC_GET_BUS_ADDRESS(len)
#define | LPIOC_GET_VID_PID(len)
#define | MATCH_FIELD(field, var)

## Functions

static void | get_usb_devs (hd_data_t *hd_data)
static void | set_class_entries (hd_data_t *hd_data, hd_t *hd, usb_t *usb)
static void | add_input_dev (hd_data_t *hd_data, char *name)
static void | get_input_devs (hd_data_t *hd_data)
static void | get_printer_devs (hd_data_t *hd_data)
static void | read_usb_lp (hd_data_t *hd_data, hd_t *hd)
static void | get_serial_devs (hd_data_t *hd_data)
void | hd_scan_sysfs_usb (hd_data_t *hd_data)